package org.robokind.avrogen.animation;

@SuppressWarnings("all")
public class AnimationEventRecord extends org.apache.avro.specific.SpecificRecordBase implements org.apache.avro.specific.SpecificRecord {
  public static final org.apache.avro.Schema SCHEMA$ = org.apache.avro.Schema.parse("{\"type\":\"record\",\"name\":\"AnimationEventRecord\",\"namespace\":\"org.robokind.avrogen.animation\",\"fields\":[{\"name\":\"sourceId\",\"type\":\"string\"},{\"name\":\"destinationId\",\"type\":\"string\"},{\"name\":\"currentTimeMillisec\",\"type\":\"long\"},{\"name\":\"animation\",\"type\":{\"type\":\"record\",\"name\":\"AnimationRecord\",\"fields\":[{\"name\":\"name\",\"type\":\"string\"},{\"name\":\"versionNumber\",\"type\":\"string\"},{\"name\":\"stopTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"startTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"channels\",\"type\":{\"type\":\"array\",\"items\":{\"type\":\"record\",\"name\":\"ChannelRecord\",\"fields\":[{\"name\":\"name\",\"type\":\"string\"},{\"name\":\"channelId\",\"type\":\"int\"},{\"name\":\"stopTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"startTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"motionPaths\",\"type\":{\"type\":\"array\",\"items\":{\"type\":\"record\",\"name\":\"MotionPathRecord\",\"fields\":[{\"name\":\"name\",\"type\":\"string\"},{\"name\":\"motionPathId\",\"type\":\"int\"},{\"name\":\"startTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"stopTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"interpolator\",\"type\":{\"type\":\"record\",\"name\":\"InterpolatorTypeRecord\",\"fields\":[{\"name\":\"name\",\"type\":\"string\"},{\"name\":\"versionNumber\",\"type\":\"string\"}]}},{\"name\":\"controlPoints\",\"type\":{\"type\":\"array\",\"items\":{\"type\":\"record\",\"name\":\"ControlPointRecord\",\"fields\":[{\"name\":\"time\",\"type\":\"long\"},{\"name\":\"position\",\"type\":\"double\"}]}}}]}}}]}}}]}}]}");
  public org.apache.avro.util.Utf8 sourceId;
  public org.apache.avro.util.Utf8 destinationId;
  public long currentTimeMillisec;
  public org.robokind.avrogen.animation.AnimationRecord animation;
  public org.apache.avro.Schema getSchema() { return SCHEMA$; }
  public java.lang.Object get(int field$) {
    switch (field$) {
    case 0: return sourceId;
    case 1: return destinationId;
    case 2: return currentTimeMillisec;
    case 3: return animation;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
  @SuppressWarnings(value="unchecked")
  public void put(int field$, java.lang.Object value$) {
    switch (field$) {
    case 0: sourceId = (org.apache.avro.util.Utf8)value$; break;
    case 1: destinationId = (org.apache.avro.util.Utf8)value$; break;
    case 2: currentTimeMillisec = (java.lang.Long)value$; break;
    case 3: animation = (org.robokind.avrogen.animation.AnimationRecord)value$; break;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
}
